public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/gnatcoll-core/files/, dev-ada/gnatcoll-core/
Date: Fri,  1 Mar 2024 19:40:59 +0000 (UTC)	[thread overview]
Message-ID: <1709322044.0e7f4825ec5c57ca15dbf860945191b6d3825a0a.tupone@gentoo> (raw)

commit:     0e7f4825ec5c57ca15dbf860945191b6d3825a0a
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  1 19:40:28 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Mar  1 19:40:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e7f4825

dev-ada/gnatcoll-core: add 24.0.0

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ada/gnatcoll-core/Manifest                     |  1 +
 .../files/gnatcoll-core-24.0.0-gentoo.patch        | 15 ++++
 dev-ada/gnatcoll-core/gnatcoll-core-24.0.0.ebuild  | 83 ++++++++++++++++++++++
 3 files changed, 99 insertions(+)

diff --git a/dev-ada/gnatcoll-core/Manifest b/dev-ada/gnatcoll-core/Manifest
index b89981c64a32..be828704e607 100644
--- a/dev-ada/gnatcoll-core/Manifest
+++ b/dev-ada/gnatcoll-core/Manifest
@@ -1 +1,2 @@
 DIST gnatcoll-core-23.0.0.tar.gz 745131 BLAKE2B 25e5f17adf88c48f45cc30cfbd82e2213233aecd78c9c22455ac6458e2f336f527604911c9eaaa1ab8853e0a16bbe9e1a7b8f31481ee9c2894287ec16e961123 SHA512 49f33abe07d2c4b51a6e69be550d05c5794953f4fbe8cb15e29c9834b9c5600724acaff4156fb53e4146620f1e4335f4c22453215a39ec5ee95b3992528b9828
+DIST gnatcoll-core-24.0.0.tar.gz 764526 BLAKE2B f96b24dcac2af84802244ed93570f0a922ab0901ecf871fa4995f4c24607cdbd8d91fc760acf35024fe41a066fb307442396cb8c125c74363e0c9276d114ab5a SHA512 1f1d470e7b74f238682f0938efe04c303c6bfca5a6b723eb789f5cb4bd33a199a9f2323626b8887758f01709ab1ba4d8045c56ce45f02e535babca4025662d9f

diff --git a/dev-ada/gnatcoll-core/files/gnatcoll-core-24.0.0-gentoo.patch b/dev-ada/gnatcoll-core/files/gnatcoll-core-24.0.0-gentoo.patch
new file mode 100644
index 000000000000..5de80869e561
--- /dev/null
+++ b/dev-ada/gnatcoll-core/files/gnatcoll-core-24.0.0-gentoo.patch
@@ -0,0 +1,15 @@
+--- a/gnatcoll.gpr	2023-09-21 17:57:14.000000000 +0200
++++ b/gnatcoll.gpr	2024-03-01 20:34:24.178681586 +0100
+@@ -306,9 +306,9 @@
+    end Linker;
+ 
+    package Install is
+-      for Artifacts ("share/examples/gnatcoll") use ("examples/*");
+-      for Artifacts ("share/doc/gnatcoll/html") use ("docs/_build/html");
+-      for Artifacts ("share/doc/gnatcoll")
++      for Artifacts ("share/doc/@PF@/examples") use ("examples/*");
++      for Artifacts ("share/doc/@PF@/html") use ("docs/_build/html");
++      for Artifacts ("share/doc/@PF@")
+         use ("docs/_build/latex/GNATColl.pdf");
+    end Install;
+ 

diff --git a/dev-ada/gnatcoll-core/gnatcoll-core-24.0.0.ebuild b/dev-ada/gnatcoll-core/gnatcoll-core-24.0.0.ebuild
new file mode 100644
index 000000000000..b22954a03362
--- /dev/null
+++ b/dev-ada/gnatcoll-core/gnatcoll-core-24.0.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+ADA_COMPAT=( gnat_2021 gcc_12 gcc_13 )
+inherit ada multiprocessing
+
+DESCRIPTION="GNAT Component Collection Core packages"
+HOMEPAGE="http://libre.adacore.com"
+SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc +shared static-libs static-pic"
+REQUIRED_USE="|| ( shared static-libs static-pic )
+	${ADA_REQUIRED_USE}"
+
+RDEPEND="
+	~dev-ada/libgpr-${PV}:=[${ADA_USEDEP},shared?,static-libs?,static-pic?]
+"
+BDEPEND="${RDEPEND}
+	dev-ada/gprbuild[${ADA_USEDEP}]
+	doc? (
+		dev-python/sphinx
+		dev-tex/latexmk
+	)"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2018-gentoo.patch
+	"${FILESDIR}"/${P}-gentoo.patch
+)
+
+src_prepare() {
+	default
+	sed -i \
+		-e "s:@GNATLS@:${GNATLS}:g" \
+		src/gnatcoll-projects.ads \
+		|| die
+	sed -i \
+		-e "s:@PF@:${PF}:g" \
+		gnatcoll.gpr \
+		|| die
+}
+
+src_configure() {
+	emake setup
+}
+
+src_compile() {
+	build () {
+		gprbuild -p -m -j$(makeopts_jobs) \
+			-XBUILD=PROD -v -XGNATCOLL_VERSION=${PV} \
+			-XLIBRARY_TYPE=$1 -XXMLADA_BUILD=$* -XGPR_BUILD=$1 \
+			gnatcoll.gpr -cargs:C ${CFLAGS} -cargs:Ada ${ADAFLAGS} || die
+	}
+	if use shared; then
+		build relocatable
+	fi
+	if use static-libs; then
+		build static
+	fi
+	if use static-pic; then
+		build static-pic
+	fi
+	use doc && emake -C docs latexpdf
+}
+
+src_install() {
+	local GNATCOLL_VERSION=${PV}
+	if use shared; then
+		emake GNATCOLL_VERSION=${PV} prefix="${D}"/usr install-relocatable
+	fi
+	if use static-pic; then
+		emake GNATCOLL_VERSION=${PV} prefix="${D}"/usr install-static-pic
+	fi
+	if use static-libs; then
+		emake GNATCOLL_VERSION=${PV} prefix="${D}"/usr install-static
+	fi
+	rm -r "${D}"/usr/share/gpr/manifests || die
+	einstalldocs
+}


             reply	other threads:[~2024-03-01 19:41 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-01 19:40 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-09 18:42 [gentoo-commits] repo/gentoo:master commit in: dev-ada/gnatcoll-core/files/, dev-ada/gnatcoll-core/ Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709322044.0e7f4825ec5c57ca15dbf860945191b6d3825a0a.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox